Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#75004 - libx11-1.8.1-1 breaks xfce 4.16

Attached to Project: Arch Linux
Opened by Doug Thompson (caniwi) - Thursday, 09 June 2022, 07:56 GMT
Last edited by Andreas Radke (AndyRTR) - Thursday, 09 June 2022, 10:08 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Evangelos Foutras (foutrelis)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 9
Private No

Details

Description:Patched server adn rebooted. After reboot startxfce4 resulted in black screen with only mouse arrow. Reviewing patches libx11-1.8 was updated to libx11-1.8.1-1. Reverting to libx11-1.8-1 from cache solved problem. May not be libx11-1.8.1-1 but it fixed the issue for me.


Additional info:
* package version(s)
libx11-1.8-1 -> libx11-1.8.1-1
* config and/or log files etc.
pacman.log
[2022-06-09T19:11:24+1200] [PACMAN] Running 'pacman -Syu'
[2022-06-09T19:11:24+1200] [PACMAN] synchronizing package lists
[2022-06-09T19:11:24+1200] [PACMAN] starting full system upgrade
[2022-06-09T19:12:32+1200] [ALPM] running '60-mkinitcpio-remove.hook'...
[2022-06-09T19:12:32+1200] [ALPM] transaction started
[2022-06-09T19:12:33+1200] [ALPM] upgraded boost-libs (1.78.0-2 -> 1.78.0-3)
[2022-06-09T19:12:33+1200] [ALPM] upgraded libgpg-error (1.45-1 -> 1.45-2)
[2022-06-09T19:12:40+1200] [ALPM] upgraded btrfs-progs (5.18-1 -> 5.18.1-1)
[2022-06-09T19:12:40+1200] [ALPM] installed libverto (0.3.2-4)
[2022-06-09T19:12:40+1200] [ALPM] upgraded krb5 (1.19.3-1 -> 1.19.3-3)
[2022-06-09T19:12:40+1200] [ALPM] upgraded libnftnl (1.2.1-1 -> 1.2.2-1)
[2022-06-09T19:12:40+1200] [ALPM] upgraded libx11 (1.8-1 -> 1.8.1-1)
[2022-06-09T19:12:42+1200] [ALPM] upgraded linux (5.18.1.arch1-1 -> 5.18.2.arch1-1)
[2022-06-09T19:12:42+1200] [ALPM] upgraded python-zipp (3.8.0-1 -> 3.8.0-2)
[2022-06-09T19:12:42+1200] [ALPM] upgraded qt5-base (5.15.4+kde+r146-1 -> 5.15.4+kde+r151-1)
[2022-06-09T19:12:42+1200] [ALPM] warning: /etc/sudoers installed as /etc/sudoers.pacnew
[2022-06-09T19:12:42+1200] [ALPM] upgraded sudo (1.9.10-1 -> 1.9.11.p1-1)
[2022-06-09T19:12:42+1200] [ALPM] upgraded upower (0.99.18-1 -> 0.99.19-1)
[2022-06-09T19:12:43+1200] [ALPM] transaction completed
[2022-06-09T19:12:43+1200] [ALPM] running '30-systemd-daemon-reload.hook'...
[2022-06-09T19:12:43+1200] [ALPM] running '30-systemd-hwdb.hook'...
[2022-06-09T19:12:44+1200] [ALPM] running '30-systemd-tmpfiles.hook'...
[2022-06-09T19:12:44+1200] [ALPM] running '30-systemd-udev-reload.hook'...
[2022-06-09T19:12:44+1200] [ALPM] running '30-systemd-update.hook'...
[2022-06-09T19:12:44+1200] [ALPM] running '60-depmod.hook'...
[2022-06-09T19:12:47+1200] [ALPM] running '90-mkinitcpio-install.hook'...
[2022-06-09T19:12:47+1200] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2022-06-09T19:12:47+1200] [ALPM-SCRIPTLET] -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2022-06-09T19:12:47+1200] [ALPM-SCRIPTLET] ==> Starting build: 5.18.2-arch1-1
[2022-06-09T19:12:47+1200] [ALPM-SCRIPTLET] -> Running build hook: [base]
[2022-06-09T19:12:48+1200] [ALPM-SCRIPTLET] -> Running build hook: [systemd]
[2022-06-09T19:12:49+1200] [ALPM-SCRIPTLET] -> Running build hook: [autodetect]
[2022-06-09T19:12:49+1200] [ALPM-SCRIPTLET] -> Running build hook: [modconf]
[2022-06-09T19:12:49+1200] [ALPM-SCRIPTLET] -> Running build hook: [keyboard]
[2022-06-09T19:12:50+1200] [ALPM-SCRIPTLET] -> Running build hook: [block]
[2022-06-09T19:12:50+1200] [ALPM-SCRIPTLET] -> Running build hook: [sd-encrypt]
[2022-06-09T19:12:51+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qat_4xxx
[2022-06-09T19:12:55+1200] [ALPM-SCRIPTLET] -> Running build hook: [lvm2]
[2022-06-09T19:12:55+1200] [ALPM-SCRIPTLET] -> Running build hook: [filesystems]
[2022-06-09T19:12:56+1200] [ALPM-SCRIPTLET] -> Running build hook: [fsck]
[2022-06-09T19:12:56+1200] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2022-06-09T19:12:56+1200] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux.img
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] ==> Image generation successful
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] ==> Starting build: 5.18.2-arch1-1
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] -> Running build hook: [base]
[2022-06-09T19:12:57+1200] [ALPM-SCRIPTLET] -> Running build hook: [systemd]
[2022-06-09T19:12:58+1200] [ALPM-SCRIPTLET] -> Running build hook: [modconf]
[2022-06-09T19:12:58+1200] [ALPM-SCRIPTLET] -> Running build hook: [keyboard]
[2022-06-09T19:12:58+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2022-06-09T19:12:59+1200] [ALPM-SCRIPTLET] -> Running build hook: [block]
[2022-06-09T19:12:59+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2022-06-09T19:13:01+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qed
[2022-06-09T19:13:01+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2022-06-09T19:13:01+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: bfa
[2022-06-09T19:13:01+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla2xxx
[2022-06-09T19:13:01+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qla1280
[2022-06-09T19:13:02+1200] [ALPM-SCRIPTLET] -> Running build hook: [sd-encrypt]
[2022-06-09T19:13:02+1200] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: qat_4xxx
[2022-06-09T19:13:03+1200] [ALPM-SCRIPTLET] -> Running build hook: [lvm2]
[2022-06-09T19:13:03+1200] [ALPM-SCRIPTLET] -> Running build hook: [filesystems]
[2022-06-09T19:13:04+1200] [ALPM-SCRIPTLET] -> Running build hook: [fsck]
[2022-06-09T19:13:05+1200] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2022-06-09T19:13:06+1200] [ALPM-SCRIPTLET] ==> Creating zstd-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2022-06-09T19:13:06+1200] [ALPM-SCRIPTLET] ==> Image generation successful
[2022-06-09T19:13:06+1200] [ALPM] running 'dbus-reload.hook'...
[2022-06-09T19:13:06+1200] [ALPM] running 'texinfo-install.hook'...


* link to upstream bug report, if any

Steps to reproduce:
1) start desktop
2) sudo pacman -Syu
3) reboot (because new linux)
4) startxfce4

Black screen with mouse pointer.

* To fix ....
[2022-06-09T19:30:14+1200] [PACMAN] Running 'pacman -R libx11-1.8-1'
[2022-06-09T19:31:37+1200] [PACMAN] Running 'pacman -U file:///var/cache/pacman/pkg/libx11-1.8-1-x86_64.pkg.tar.zst';
[2022-06-09T19:31:41+1200] [ALPM] transaction started
[2022-06-09T19:31:42+1200] [ALPM] downgraded libx11 (1.8.1-1 -> 1.8-1)
[2022-06-09T19:31:42+1200] [ALPM] transaction completed
[2022-06-09T19:31:42+1200] [ALPM] running '30-systemd-update.hook'...
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Thursday, 09 June 2022, 10:08 GMT
Reason for closing:  Fixed
Additional comments about closing:  libx11-1.8.1-2 adds --disable-thread-safety-constructor as a temporary fix until Xfce pushed a proper fix upstream
Comment by Greg Darke (skunktrader) - Thursday, 09 June 2022, 08:39 GMT
Just chiming in to add an obligatory "me-too". Rolling back libx11 to 1.8-1 fixed the non-function xfce desktop for me too
Comment by David S. (n0_named_guy) - Thursday, 09 June 2022, 09:22 GMT
Another me too. Rolling back libx11 did the trick. I am using lightdm to start XFCE, and it is as described in https://bbs.archlinux.org/viewtopic.php?id=277095
Comment by Christian Hesse (eworm) - Thursday, 09 June 2022, 09:22 GMT
Looks like rebuilding with --disable-thread-safety-constructor fixes this...
Comment by Andreas Radke (AndyRTR) - Thursday, 09 June 2022, 09:50 GMT
"This release fixes the --enable-thread-safety-constructor option to the
configure script to work as intended. In the previous release, the changes
for this option may not have been enabled when the option was not specified
or when the --enable option was specified.

While we have enabled it by default, believing that doing so will reduce
the number of bugs users encounter running libX11 clients, in some cases
it may expose bugs in which clients had previously gotten away with calling
libX11 functions while a libX11 lock is already held, and thus now deadlock,
as discussed in https://gitlab.freedesktop.org/xorg/lib/libx11/-/issues/157 ."

Check the upstream bug. It's now triggering the bug in Xfce

Loading...